public class Test4 extends TestHarness {

	public Test4(String s) {
		super(s);
	}

	public boolean test() {
		Map<Integer, Integer> m = new HashTable<Integer,Integer>
	    (100, new GenericHasher<Integer>());

		try {
			for (int i=0;i<1729;i++)
			{
				m.put(i, i);
			}
			if(m.calculateStats().longestChainLength != 18){
				return false;
			}
			if (m.calculateStats().loadFactor != 17.29){
				return false;
			}
			return true;
		} catch (Exception e) {
			return false;
		}

	}
}